 package com.inet.ailink.receiver.controller;

 import com.inet.ailink.receiver.service.impl.BodyFatServiceImpl;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.RequestBody;
 import org.springframework.web.bind.annotation.RequestMapping;
 import org.springframework.web.bind.annotation.ResponseBody;
 import org.springframework.web.bind.annotation.RestController;

 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 import java.io.IOException;

 @RestController
 @RequestMapping(value="bodyFat",produces={"application/json;charset=UTF-8"})
 public class BodyFatController extends BaseController {

     @Autowired
     private BodyFatServiceImpl bodyFatServiceImpl;

     /**
      * 上报称重数据(原始数据)
      * @param params
      * @param request
      * @param response
      * @throws IOException
      */
     @RequestMapping(value="saveWeighDataByAdc")
     @ResponseBody
     public void saveWeighDataByAdc(@RequestBody String params, HttpServletRequest request, HttpServletResponse response) throws IOException {
         checkParams(response, params);
 //		System.out.println("saveWeighDataByAdc() params: " + params);
         byte[] paramsByte = decryptParams(response,params);
         if(paramsByte.length >1){
             writeOutResponse(response, bodyFatServiceImpl.saveWeighDataByAdc(paramsByte, request));
         }else{
             writeOutResponse(response,paramsByte);
         }
     }



 }