 package com.inet.ailink.receiver.controller;

 @RestController
 //@RequestMapping(value="devivce",produces={"application/json;charset=UTF-8"})
 @RequestMapping(value="devivce")
 public class DeviceController  extends BaseController {

     @Autowired
     private SysDeviceInfoServiceImpl sysDeviceInfoServiceImpl;


     @Autowired
     private SysAccoountServiceImpl sysAccoountServiceImpl;


     /**
      * 设备注册
      * @param params
      * @param request
      * @param response
      * @throws IOException
      */
     @RequestMapping(value="register")
     @ResponseBody
     public void register(@RequestBody String params, HttpServletRequest request, HttpServletResponse response) throws IOException {
         checkParams(response, params);
 //		System.out.println("devivce/register() params: " + params);
         byte[] paramsByte = decryptParams(response,params);
         if(paramsByte.length >1){
             writeOutResponse(response, sysDeviceInfoServiceImpl.register(paramsByte, request));
         }else{
             writeOutResponse(response,paramsByte);
         }
     }


     /**
      * 获取设备绑定的用户
      * @param params
      * @param request
      * @param response
      * @throws IOException
      */
     @RequestMapping(value="getUsers")
     @ResponseBody
     public void getUsers(@RequestBody String params, HttpServletRequest request, HttpServletResponse response) throws IOException {
         checkParams(response, params);
 //		System.out.println("devivce/register() params: " + params);
         byte[] paramsByte = decryptParams(response,params);
         if(paramsByte.length >1){
             writeOutResponseNoEncrypt(response, sysAccoountServiceImpl.getUsersByDeviceId(paramsByte, request));
         }else{
             writeOutResponse(response,paramsByte);
         }
     }

 }