 package com.inet.ailink.receiver.service.impl;

 import com.inet.ailink.receiver.common.enums.StatusCode;
 import com.inet.ailink.receiver.common.vo.Response;
 import org.springframework.stereotype.Service;
 import org.springframework.transaction.annotation.Transactional;

 import javax.servlet.http.HttpServletRequest;
 import java.util.ArrayList;
 import java.util.List;


 @Service
 @Transactional(rollbackFor=Exception.class)
 public class SysAccoountServiceImpl
 {

     public Response<Object> getUsersByDeviceId(byte[] paramsByte, HttpServletRequest request) {
         Response<Object> result = new Response<Object>();

         //以下只是返回示例，请根据具体项目情况去数据库查询绑定wifi秤的用户信息并返回
         List<Object> data = new ArrayList<Object>();
         List<Object> listMap = new ArrayList<Object>();
         listMap.add(1024);//用户id
         listMap.add(1);//用户性别
         listMap.add(25);//用户年龄
         listMap.add("170");//用户身高
         listMap.add("0");//用户身高单位
         listMap.add("0");//最新体重单位
         listMap.add(0); //用户类型：0普通人  1运动员
         listMap.add("67.70");//最新体重单位
         data.add(listMap);

         result.setStatus(StatusCode.SUCCESS.getCode());
         result.setData(data);

         return result;
     }

 }
